Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040743
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformmajoralways2019-04-30 17:262019-05-21 15:16
ReportermalsasuaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1.1
StatusclosedFix in branchFixed in SCM revision2a604c499abc
ProjectionnoneETAnoneTarget Version3.0PR19Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-11-28
Regression introduced in release3.0PR18Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]
Triggers an Emergency PackNo
Summary

0040743: Records can not be exported to CSV

DescriptionIn grid view, if you filter by creation date, the export process to CSV is not working
Steps To Reproduce. go to Business Partner window
. in grid view, add column "Creation Date"
. filter by Creation Date (see screenshot attached)
. click in Export to Spreadsheet button
CSV file is downloaded but it is empty (see file attached)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040735 closedcaristu Records can not be exported to CSV 

-  Notes
(0111495)
hgbot (developer)
2019-05-06 11:51

Repository: erp/backports/3.0PR19Q1.1
Changeset: 2a604c499abc2389e5ddce95333f8211be581a6e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 06 11:49:42 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q1.1/rev/2a604c499abc2389e5ddce95333f8211be581a6e [^]

fixes issue 40743: wrong export to CSV having the grid filtered by a date time

After the following changeset[1], exporting the grid to CSV was not working properly having the grid filtered by a date time column. Although the fix is correct, it caused the criteria sent to the datasource in this type of requests to stop being handled properly.

To avoid this problem, when exporting to CSV a grid filtered by a date time column we send in the criteria the plain date (in the same way as it is being done for the standard grid DS requests) and the datasource will take care of building the date filter properly through the AdvancedQueryBuilder.

[1] https://code.openbravo.com/erp/devel/pi/rev/90ee5c965823996a7b4c0ae17d3a3ca71e3fc703 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0111529)
alostale (developer)
2019-05-07 11:15

reviewed + tested
(0112008)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-02 11:29 caristu Type defect => backport
2019-05-02 11:29 caristu Target Version => 3.0PR19Q1.1
2019-05-02 17:18 caristu Target Version 3.0PR19Q1.1 => 3.0PR19Q1.2
2019-05-06 09:51 hgbot Checkin
2019-05-06 09:51 hgbot Note Added: 0111489
2019-05-06 09:51 hgbot Status scheduled => resolved
2019-05-06 09:51 hgbot Resolution open => fixed
2019-05-06 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d7237675ba21defe75727ff05f83b132cee64ad [^]
2019-05-06 09:52 caristu Status resolved => new
2019-05-06 09:52 caristu Resolution fixed => open
2019-05-06 11:51 hgbot Checkin
2019-05-06 11:51 hgbot Note Added: 0111495
2019-05-06 11:51 hgbot Status new => resolved
2019-05-06 11:51 hgbot Resolution open => fixed
2019-05-06 11:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3d7237675ba21defe75727ff05f83b132cee64ad [^] => http://code.openbravo.com/erp/backports/3.0PR19Q1.1/rev/2a604c499abc2389e5ddce95333f8211be581a6e [^]
2019-05-06 11:52 caristu Review Assigned To => alostale
2019-05-06 11:52 caristu Note Deleted: 0111489
2019-05-06 11:52 caristu Target Version 3.0PR19Q1.2 => 3.0PR19Q1.1
2019-05-07 11:15 alostale Note Added: 0111529
2019-05-07 11:15 alostale Status resolved => closed
2019-05-07 11:15 alostale Fixed in Version => 3.0PR19Q1.1
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0112008


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker